OpenTTD

Functions
company_gui.h File Reference

GUI Functions related to companies. More...

`#include "company_type.h"`
`#include "gfx_type.h"`

Go to the source code of this file.

## Functions
TextColour | GetDrawStringCompanyColour (CompanyID company)
| Get the colour for DrawString-subroutines which matches the colour of the company. More...
void | DrawCompanyIcon (CompanyID c, int x, int y)
| Draw the icon of a company. More...
void | ShowCompanyStations (CompanyID company)
| Opens window with list of company's stations. More...
void | ShowCompanyFinances (CompanyID company)
| Open the finances window of a company. More...
void | ShowCompany (CompanyID company)
| Show the window with the overview of the company. More...
void | InvalidateCompanyWindows (const Company *c)
| Refresh all windows owned by a company. More...
void | DeleteCompanyWindows (CompanyID company)
| Delete all windows of a company. More...
void | DirtyCompanyInfrastructureWindows (CompanyID company)
| Redraw all windows with company infrastructure counts. More...

## Detailed Description

GUI Functions related to companies.

Definition in file company_gui.h.

## Function Documentation

## ◆ DeleteCompanyWindows()

void DeleteCompanyWindows | ( | CompanyID | id | ) |

Delete all windows of a company.

We identify windows of a company by looking at the caption colour. If it is equal to the company ID then we say the window belongs to the company and should be deleted

Parameters

  id | company identifier

Definition at line 1172 of file window.cpp.

Referenced by Company::~Company().

## ◆ DirtyCompanyInfrastructureWindows()

void DirtyCompanyInfrastructureWindows | ( | CompanyID | company | ) |

Redraw all windows with company infrastructure counts.

Parameters

  company | The company to redraw the windows of.

Definition at line 2473 of file company_gui.cpp.

References SetWindowDirty(), WC_COMPANY, and WC_COMPANY_INFRASTRUCTURE.

Referenced by CmdBuildRoadDepot(), CmdConvertRail(), and RemoveLock().

## ◆ DrawCompanyIcon()

void DrawCompanyIcon | ( | CompanyID | c,
|  | int | x,
|  | int | y
| ) |  |

Draw the icon of a company.

Parameters

  c | Company that needs its icon drawn.
  x | Horizontal coordinate of the icon.
  y | Vertical coordinate of the icon.

Definition at line 141 of file company_cmd.cpp.

## ◆ GetDrawStringCompanyColour()

TextColour GetDrawStringCompanyColour | ( | CompanyID | company | ) |

Get the colour for DrawString-subroutines which matches the colour of the company.

Parameters

  company | Company to get the colour of.

Returns
  Colour of company.

Definition at line 129 of file company_cmd.cpp.

References _colour_gradient, and Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID().

## ◆ InvalidateCompanyWindows()

void InvalidateCompanyWindows | ( | const Company * | company | ) |

Refresh all windows owned by a company.

Parameters

  company | Company that changed, and needs its windows refreshed.

Definition at line 181 of file company_cmd.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, SetWindowDirty(), WC_FINANCES, and WC_STATUS_BAR.

Referenced by CmdDecreaseLoan().

## ◆ ShowCompany()

void ShowCompany | ( | CompanyID | company | ) |

Show the window with the overview of the company.

Parameters

  company | The company to show the window for.

Definition at line 2462 of file company_gui.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID().

## ◆ ShowCompanyFinances()

void ShowCompanyFinances | ( | CompanyID | company | ) |

Open the finances window of a company.

Parameters

  company | Company to show finances of.

Precondition
  is company a valid company.

Definition at line 482 of file company_gui.cpp.

References BringWindowToFrontById(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID(), and WC_FINANCES.

Referenced by MenuClickFinances(), and StatusBarWindow::OnClick().

## ◆ ShowCompanyStations()

void ShowCompanyStations | ( | CompanyID | company | ) |

Opens window with list of company's stations.

Parameters

  company | whose stations' list show

Definition at line 750 of file station_gui.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID().

Referenced by MenuClickStations().